import type { RuntimeEvaluationResult } from '@mongosh/browser-runtime-core';
import type { DevtoolsConnectOptions } from '@mongosh/service-provider-node-driver';
export declare function serializeError(err: Error): Error;
export declare function deserializeError(err: any): Error;
export type SerializedResultTypes = 'SerializedErrorResult' | 'InspectResult' | 'SerializedShellApiResult';
export declare function serializeEvaluationResult({ type, printable, source, constructionOptions, }: RuntimeEvaluationResult): RuntimeEvaluationResult;
export declare function deserializeEvaluationResult({ type, printable, source, constructionOptions, }: RuntimeEvaluationResult): RuntimeEvaluationResult;
export declare function serializeConnectOptions(options: Readonly<DevtoolsConnectOptions>): DevtoolsConnectOptions;
export declare function deserializeConnectOptions(options: Readonly<DevtoolsConnectOptions>): DevtoolsConnectOptions;
